#include "PMDCamCubeSourcePluginFactory.h"
#include "PMDCamCubeSourcePlugin.h"

#include <QtPlugin>

PMDCamCubeSourcePluginFactory::PMDCamCubeSourcePluginFactory()
{
}

PMDCamCubeSourcePluginFactory::~PMDCamCubeSourcePluginFactory()
{
}

ritk::SourcePlugin*
PMDCamCubeSourcePluginFactory::CreateInstance()
{
	return new PMDCamCubeSourcePlugin();
}

QString
PMDCamCubeSourcePluginFactory::GetName()
{
	return tr("PMDCamCube");
}

QString
PMDCamCubeSourcePluginFactory::GetDescription()
{
	return tr("PMD CamCube");
}


Q_EXPORT_PLUGIN2(PMDCamCubePlayer, PMDCamCubeSourcePluginFactory)
